Subject: Re: Jody Brennan Issues
From: Deeksha Dadu <[email-masked]>
To: "Pravesh Singh (LSM)" <[email-masked]>
Cc: "Pritish Nandi (LSM)" <[email-masked]>, Saurabh Dadu <[email-masked]>
Date: Sat, 10 Dec 2022 03:27:40 +0000

Also, she is talking about many frustrated calls? Did this client call more than once?  Please pull out all the recordings for this person and let me know who took the other calls.

Sent from my iPhone

On 10 Dec 2022, at 08:56, Deeksha Dadu <[email-masked]> wrote:

 Pravesh,

You did get an email about this on dec 4th to clarify, did you ever reply to this?

Why would u not add notes if it is a surprise? Pravesh, these errors cannot go on happening!!

@pritish: I need to understand better what happened here. Please let me know when you can call.

How did we not catch it?

Regards,
Deeksha

Sent from my iPhone

Begin forwarded message:

From: Pritish Nandi <[email-masked]>
Date: 10 December 2022 at 03:24:48 GMT+5:30
To: [email-masked]
Cc: "Pravesh Singh (LSM)" <[email-masked]>, Saurabh Dadu <[email-masked]>, Deeksha Dadu <[email-masked]>, [email-masked], [email-masked]
Subject: Re: Jody Brennan Issues

Hi Kris,

Thank you for the feedback and please accept my sincere apologies for the error.

Me and Pravesh have discussed this right now and he will make sure that this is not repeated again. Upon discussing this with him, he advised as far as he remembers he did collect payment for 2 mini days. I tried checking for the call recording but did not find it to verify.

As per the payment invoice it shows the correct total of $320.00 (which is for 2 mini days) however the services added in the booking is 2 Bliss package and 1 Massage which has a total of $213.33. Could you help me understand how the system may be showing a wrong total?

Any insight to this would be very helpful to make sure that we are able to learn from it and make sure this is not repeated again.

Regards,
Pritish

________________________________
From: "Release Concierge" <[email-masked]>
To: "Pravesh Singh" <[email-masked]>
Cc: "deeksha" <[email-masked]>, "saurabh" <[email-masked]>, "Katarina Koh" <[email-masked]>, "Kris Waldman" <[email-masked]>
Sent: Saturday, December 10, 2022 2:28:51 AM
Subject: Fwd: Jody Brennan Issues

Pravesh,
I am following up on the email below because an upset customer - Jody Brennan - came in to talk to a manager and for a tour today (after many frustrating phone calls to resolve a payment issue, she started to wonder if Release actually existed as a physical place!) As I understand it, her daughter Stephanie made the bookings as a surprise for Jodi, but Jodi was called by Rina because her service wasn't paid. (There was no note in her file that it was a surprise.) Stephanie was then contacted and she said it was paid, but since it was not applied correctly the team here couldn't locate it.
I see today that it looks like you charged Stephanie for a mini day for herself, and one bliss day for Jody (rather than a mini day).
[Screen Shot 2022-12-09 at 3.41.42 PM.png]
[Screen Shot 2022-12-09 at 3.47.39 PM.png]

In the future, please make clear notes in the file of the person who is getting a surprise, and if you notice that you can not "Apply Payment" after you've done a transaction, this is a signal that you haven't applied payment to the right service.

Thank you!
Kris

---------- Forwarded message ---------
From: Release Concierge <[email-masked]<mailto:[email-masked]>>
Date: Sun, Dec 4, 2022 at 1:54 PM
Subject: Jody Brennan
To: Pravesh Singh <[email-masked]<mailto:[email-masked]>>

Hey Pravesh,
It's Katarina. Just wondering about a client named Jody Brennan. She was scheduled by you on 11/28 at about 6pm. Her appointment is for 1/14 at 1:15pm. I'm just wondering about payment for this- she's marked as unpaid and there are no purchases under her name. Do you have any insight on this?

Thank you!
Katarina K : )